Package org.springframework.http.codec.json

# Class Jackson2SmileDecoder

java.lang.Object
org.springframework.http.codec.json.Jackson2CodecSupport
org.springframework.http.codec.json.AbstractJackson2Decoder
org.springframework.http.codec.json.Jackson2SmileDecoder

All Implemented Interfaces:
  `org.springframework.core.codec.Decoder<Object>`, `HttpMessageDecoder<Object>`

public class Jackson2SmileDecoder extends AbstractJackson2Decoder
Decode a byte stream into Smile and convert to Object's with Jackson 2.x, leveraging non-blocking parsing.

Since:
  5.0
Author:
  Sebastien Deleuze, Rossen Stoyanchev
See Also:
  - `Jackson2JsonEncoder`

## Field Summary

### Fields inherited from class org.springframework.http.codec.json.Jackson2CodecSupport

`JSON_VIEW_HINT, logger`

## Constructor Summary

Constructors
Constructor
Description
`Jackson2SmileDecoder()`
`Jackson2SmileDecoder(ObjectMapper mapper, org.springframework.util.MimeType... mimeTypes)`

## Method Summary

### Methods inherited from class org.springframework.http.codec.json.AbstractJackson2Decoder

`canDecode, customizeReader, decode, decode, decodeToMono, getAnnotation, getDecodableMimeTypes, getDecodableMimeTypes, getDecodeHints, getMaxInMemorySize, processInput, setMaxInMemorySize`

### Methods inherited from class org.springframework.http.codec.json.Jackson2CodecSupport

`getHints, getJavaType, getMediaTypesForProblemDetail, getMimeTypes, getMimeTypes, getObjectMapper, getObjectMapperRegistrations, getObjectMappersForType, getParameter, logWarningIfNecessary, registerObjectMappersForType, selectObjectMapper, setObjectMapper, supportsMimeType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Jackson2SmileDecoder

public Jackson2SmileDecoder()

### Jackson2SmileDecoder

public Jackson2SmileDecoder(ObjectMapper mapper, org.springframework.util.MimeType... mimeTypes)